ListRetrievalInstructionVersions
Lists the numbered versions of a retrieval instruction, newest first. DRAFT is not listed; read it with GetRetrievalInstruction without retrievalInstructionVersion. Results are paginated. Use the nextToken parameter to retrieve additional results.
Request Syntax
GET /retrievalinstructions/retrievalInstructionId/versions?maxResults=maxResults&nextToken=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- maxResults
-
Specifies the maximum number of versions to return in a single page. The service enforces the effective upper bound.
Valid Range: Minimum value of 1.
- nextToken
-
The pagination token from a previous ListRetrievalInstructionVersions response.
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
\S* - retrievalInstructionId
-
The identifier of the retrieval instruction whose versions to list.
Length Constraints: Fixed length of 10.
Pattern:
[a-z0-9]{10}Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"retrievalInstructionVersionSummaries": [
{
"createdAt": "string",
"version": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
The pagination token to pass to the next ListRetrievalInstructionVersions call, absent on the last page.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
\S* - retrievalInstructionVersionSummaries
-
The version summaries in this page, newest first.
Type: Array of RetrievalInstructionVersionSummary objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The request is denied because of missing access permissions.
HTTP Status Code: 403
- InternalServerException
-
An internal server error occurred. Retry your request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource Amazon Resource Name (ARN) was not found. Check the Amazon Resource Name (ARN) and try your request again.
HTTP Status Code: 404
- ThrottlingException
-
The number of requests exceeds the limit. Resubmit your request later.
HTTP Status Code: 429
- ValidationException
-
Input validation failed. Check your request parameters and retry the request.
- fieldList
-
A list of objects containing fields that caused validation errors and their corresponding validation error messages.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: